" akII Script syntax file


set cindent&
syntax on
syn clear

syn case ignore

syn keyword     akVezerlo       ALIAS BREAK CHECKPOINT CONTINUE DO ELSE ESCAPE
syn keyword     akVezerlo       FOR FOREACH IF NEXTON NOMOREON ON
syn keyword     akVezerlo       ONSEND RETURN TIMER WHILE


syn keyword     akFunc          ACTON ACTONSEND ACTTIMER ARRAY ASC AT BEEP
syn keyword     akFunc          CALL CHR CLOSE DELAY DIR ECHO ETIME EXIST
syn keyword     akFunc          FILEEND FILELIST FILEPOS FILESIZE FROM FV
syn keyword     akFunc          GETENV HELP INACTON INACTONSEND INACTTIMER
syn keyword     akFunc          INDEX JOIN KI LEFT LIST LOAD LOCAL LOG MATCH
syn keyword     akFunc          MID MSG MSGDEL MSGLIST NEV ONLIST OPEN PURGE
syn keyword     akFunc          QUIT RANDOM READLN REHASH RENUMBER REWRITE
syn keyword     akFunc          RIGHT RINDEX RMATCH SEEK SEGIT SEND SRANDOM
syn keyword     akFunc          STIME STRIP SWORDIN TIME TIMERLIST INSERT
syn keyword     akFunc          TOLOWER TOUPPER TRUNCATE UNON UNONSEND UNSET
syn keyword     akFunc          UNTIMER UNUSE USE USELIST VERZIO VEZER WORD
syn keyword     akFunc          WORDDROP WORDIN WORDOF WRITELN
syn keyword     akFunc          WINCLEAR WINECHO WINPACK WINPUTS
syn keyword	akFunc		SECUREREAD

syn match       akOperator1     "[/*%+-=~!<>&|]\=="
syn match       akOperator2     "[!*%/+~=<>&|]"

syn region      akString        start=+"+ skip=+\\\\\|\\"+ end=+"+ contains=ALLBUT,ak.*

syn region      akParen         transparent start='(' end=')' contains=ALLBUT,akParenError
syn match       akParenError	")"
syn match       akInParen       contained "[{}]"
syn region      akExpr          transparent start='{' end='}' contains=ALLBUT,akInParen

syn region      akComment       start="^\s*#" end="$"
syn region      akComment       start="[;}{]\s*#"lc=1 end="$"

syn match       akDollar        "\$\$"
syn match       TakAlias         "\$[0-9]\+"
syn match       akNumber        "\<[0-9]\+"
syn match       TakSzin         "\^[0-9]\{1,3}"
syn match       TakAlias         "\$[a-zA-Z][a-zA-Z0-9_]*"
syn match       TakAlias         "\$[@#]\=\(<\~\=-\=[0-9]\+>\)\=[a-zA-Z][a-zA-Z0-9_]*\(\.[a-zA-Z0-9_]*\)*\(\[[^\]]*]\)*" contains=ALLBUT,akFunc,akVezerlo,akOperator1,akOperator2
syn match       TakAlias         "\$[@#]\=\(<\~\=-\=[0-9]\+>\)\=[%&:]\=\([0-9-]\+\)"
syn match       TakAlias         "\$[@#]\=\(<\~\=-\=[0-9]\+>\)\=[*?~/]"
"syn match       akFvhiv         "[a-zA-Z][a-zA-Z0-9_]*\s*("me=e-1
syn match       TakAlias         "\$[{(]"me=e-1

if !exists("did_ak_syntax_inits")
    let did_ak_syntax_inits = 1
    hi TakSzin              term=bold cterm=bold ctermfg=1
    hi link TakAlias             Function
    hi link akFunc              Structure
    hi link akVezerlo           Repeat
    hi link akString            String
    hi link akDollar2           String
    hi link akNumber            Number
    hi link akParenError        akError
    hi link akInParen           akError
    hi link akError             Error
    hi link akComment           Comment
    hi link akOperator1         Operator
    hi link akOperator2         Operator
    hi link akFvhiv             Function
endif
